package emc.gui;

import java.awt.*;

/*
 *
 * JogButton
 *
 */
public class JogButton extends Panel
{
   boolean is_down = false;
   String label;
   Dimension d = new Dimension(50,20);

   JogButton(String str)
   {
	   super();
	   setBackground(Color.white);
	   label = str;
   }
  
  JogButton(String str, int _width, int _height)
   {
	   super();
	   setBackground(Color.white);
	   label = str;
	   d = new Dimension(_width, _height);
   }


   public Dimension preferredSize()
	{
		return d;
	}

	public Dimension minimumSize()
	{
		return d;
	}

   public void paint(Graphics g)
	{
	  Dimension d = size();
	    g.setColor(Color.black);
		g.drawRect(1,1,d.width-2,d.height-2);
		g.drawString(label,5,15);
	}

   public boolean handleEvent(Event  evt)
   {
	   if(evt.id == Event.MOUSE_DOWN)
	   {
		    is_down = true;
			postEvent(new Event(this, Event.ACTION_EVENT, null));
			setBackground(Color.green);
			repaint();
	   }
	   else if (evt.id == Event.MOUSE_UP)
	   {
		   is_down = false;
		   postEvent(new Event(this, Event.ACTION_EVENT, null));
		   setBackground(Color.white);
			repaint();
	   }
	   return super.handleEvent(evt);
   }

}

