package emc.gui;

import java.awt.*;

/*
 *
 * AlertDialog
 *
 */
public class AlertDialog extends Dialog
{

	TextArea msgArea = null;
	Button okButton = null;
	FlowLayout lm = null;
	Dimension d = new Dimension(320,240);

	AlertDialog(Frame parent, String title, String message)
	{
		super(parent, title, true);
		lm = new FlowLayout();
		setLayout(lm);
		msgArea = new TextArea(message,5,40);
		msgArea.setEditable(false);
		add(msgArea);
		okButton = new Button("OK");
		add(okButton);
		resize(d);
		System.out.println("Showing AlertDialog with message = "+message);
		show();
	}

	public boolean action(Event evt, Object what)
	{
		if(evt.target.equals(okButton))
		{
			dispose();
			return true;
		}
		return super.action(evt,what);
	}

	public Dimension preferredSize()
	{
		return d;
	}

	public Dimension minimumSize()
	{
		return d;
	}


}

