package emc.gui;

import java.awt.*;

/*
 *
 * PasswdDialog
 *
 */
public class PasswdDialog extends Dialog
{
	GridBagLayout lm  = null;
	GridBagConstraints c = null;
	Label nameLabel = null;
	TextField nameField = null;
	Label passwdLabel = null;
	TextField passwdField = null;
	Button okButton = null;
	Button cancelButton = null;
	public String passwd;
	public String name;
	private boolean done = false;


	PasswdDialog(Frame parent, String title)
	{
		super(parent,title, false);
		try
		{
			System.out.println("New PasswdDialog, "+title);
			done = false;
			lm = new GridBagLayout();
			setLayout(lm);
			c = new GridBagConstraints();
			nameLabel = new Label("Name");
			add(nameLabel);
			c.gridx = 0;
			c.gridy = 0;
			c.gridwidth = 3;
			c.fill = GridBagConstraints.HORIZONTAL;
			lm.setConstraints(nameLabel,c);
			nameField = new TextField("anonymous");
			add(nameField);
			c.gridx = 0;
			c.gridy = 1;
			lm.setConstraints(nameField,c);
			passwdLabel = new Label("Password");
			add(passwdLabel);
			c.gridx = 0;
			c.gridy = 2;
			lm.setConstraints(passwdLabel,c);
			passwdField = new TextField("anonymous@mail.nowhere.com");
			passwdField.setEchoCharacter('*');
			add(passwdField);
			c.gridx = 0;
			c.gridy = 3;
			lm.setConstraints(passwdField,c);
			okButton = new Button("OK");
			add(okButton);
			c.gridx = 0;
			c.gridy = 4;
			c.gridwidth = 1;
			lm.setConstraints(okButton,c);
			cancelButton = new Button("CANCEL");
			add(cancelButton);
			c.gridx = 1;
			c.gridy = 4;
			c.gridwidth = 1;
			lm.setConstraints(cancelButton,c);
			resize(d);
			show();
		}
		catch(Exception e)
		{
			e.printStackTrace();
			done = true;
		}
	}

	public boolean isDone()
	{
		return done;
	}

	public boolean action(Event evt, Object what)
	{
		try
		{
			if(evt.target.equals(okButton))
			{
				passwd = passwdField.getText();
				name = nameField.getText();
				done = true;
				dispose();
				return true;
			}
			if(evt.target.equals(cancelButton))
			{
				passwd = null;
				name = null;
				done = true;
				dispose();
				return true;
			}
			if(evt.target.equals(nameField))
			{
				name = nameField.getText();
				passwdField.setText("");
				passwdField.requestFocus();
				return true;
			}
			if(evt.target.equals(passwdField))
			{
				passwd = passwdField.getText();
				name = nameField.getText();
				done = true;
				dispose();
				return true;
			}
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		return super.action(evt,what);
	}


	Dimension d = new Dimension(320,240);

	public Dimension preferredSize()
	{
		return d;
	}

	public Dimension minimumSize()
	{
		return d;
	}



}

