package emc.gui;

import java.awt.*;

/*
 *
 * QueryDialog
 *
 */
public class QueryDialog extends Dialog
{
	GridBagLayout lmInner = null;
	Panel innerPanel = null;
	TextArea msgArea = null;
	Button okButton = null;
	Button cancelButton = null;
	FlowLayout lm = null;
	public boolean done = false;
	public boolean ok = false;

	Dimension d = new Dimension(320,240);

	QueryDialog(Frame parent, String title, String message)
	{
		super(parent, title, true);
		lm = new FlowLayout(FlowLayout.LEFT);
		setLayout(lm);
		innerPanel = new Panel();
		lmInner = new GridBagLayout();
		innerPanel.setLayout(lmInner);
		GridBagConstraints c = new GridBagConstraints();
		msgArea = new TextArea(message,5,40);
		msgArea.setEditable(false);
		innerPanel.add(msgArea);
		c.gridx = 0;
		c.gridy = 0;
		c.gridwidth = 2;
		lmInner.setConstraints(msgArea,c);
		okButton = new Button("OK");
		innerPanel.add(okButton);
		c.gridx = 0;
		c.gridy = 1;
		c.gridwidth = 1;
		lmInner.setConstraints(okButton,c);
		cancelButton = new Button("CANCEL");
		innerPanel.add(cancelButton);
		c.gridx = 1;
		c.gridy = 1;
		c.gridwidth = 1;
		lmInner.setConstraints(cancelButton,c);
		add(innerPanel);
		resize(d);
		System.out.println("Showing QueryDialog with message = "+message);
		show();
	}

	public boolean action(Event evt, Object what)
	{
		if(evt.target.equals(okButton))
		{
			ok = true;
			done = true;
			dispose();
			return true;
		}
		if(evt.target.equals(cancelButton))
		{
			ok = false;
			done = true;
			dispose();
			return true;
		}
		return super.action(evt,what);
	}

	public Dimension preferredSize()
	{
		return d;
	}

	public Dimension minimumSize()
	{
		return d;
	}



}

